> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Location Profiles

> A `GET` to the `/locations/{locationId}/profiles` endpoint allows your application to retrieve all profile assignments for a location.



## OpenAPI

````yaml get /v3/locations/{location}/profiles
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/locations/{location}/profiles:
    get:
      tags:
        - Location Profile
      summary: Browse Location Profiles
      description: >-
        A `GET` to the `/locations/{locationId}/profiles` endpoint allows your
        application to retrieve all profile assignments for a location.
      operationId: locationProfile.indexByLocation
      parameters:
        - name: location
          in: path
          required: true
          description: The location ID
          schema:
            type: integer
        - name: filter[assignment_type]
          in: query
          schema:
            type: string
            enum:
              - staff
              - manager
              - profile
        - name: filter[is_active]
          in: query
          schema:
            type: boolean
        - name: filter[is_default]
          in: query
          schema:
            type: boolean
        - name: page[size]
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
      responses:
        '200':
          description: Paginated set of `LocationProfileResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/LocationProfileResource'
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        minimum: 1
                      from:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      last_page:
                        type: integer
                        minimum: 1
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                        minimum: 1
                      total:
                        type: integer
                        description: Total number of items being paginated.
                        minimum: 0
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                required:
                  - data
                  - links
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    LocationProfileResource:
      type: object
      properties:
        id:
          type: integer
        location_id:
          type: integer
        profile_id:
          type: string
        assignment_type:
          type: string
        role_type:
          type:
            - string
            - 'null'
        is_default:
          type: boolean
        is_active:
          type: boolean
        starts_at:
          type:
            - string
            - 'null'
        ends_at:
          type:
            - string
            - 'null'
        external_id:
          type:
            - string
            - 'null'
        profile_external_id:
          type:
            - string
            - 'null'
        sort_order:
          type: integer
        notes:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        excluded_service_handles:
          anyOf:
            - type: array
              items: {}
            - type: 'null'
            - type: array
              items:
                type: string
              minItems: 0
              maxItems: 0
              additionalItems: false
        location:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            name:
              type: string
            handle:
              type: string
          required:
            - id
            - name
            - handle
        profile:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            first_name:
              type: string
            last_name:
              type: string
            email:
              type: string
          required:
            - id
            - first_name
            - last_name
            - email
        created_at:
          type: string
        updated_at:
          type: string
        deleted_at:
          type: string
      required:
        - id
        - location_id
        - profile_id
        - assignment_type
        - role_type
        - is_default
        - is_active
        - starts_at
        - ends_at
        - external_id
        - profile_external_id
        - sort_order
        - notes
        - meta
        - excluded_service_handles
        - location
        - profile
        - created_at
        - updated_at
        - deleted_at
      title: LocationProfileResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````